package it.nextworks.catalogue.elements;

public enum InfrastructureMetricType {
    USER_DATA_RATE_DOWNLINK, //DEPRECATED
    USER_DATA_RATE_UPLINK,//DEPRECATED
    LATENCY_USERPLANE,//DEPRECATED
    LATENCY_CONTROLPLANE,//DEPRECATED
    LATENCY_USERPLANE_RTT,//DEPRECATED
    RELIABILITY,
    AVAILABILITY,
    CPU_USAGE, //DEPRECATED
    MEMORY_USAGE,//DEPRECATED
    DISK_USAGE,
    LATENCY,
    E2E_LATENCY,
    GPU_LOAD,
    PACKET_DELIVERY_RATIO,
    PACKET_LOSS,
    JITTER,
    DROPPED_PACKETS_PER_SECOND,
    FORWARDED_PACKETS_PER_SECOND,
    DROPPED_BYTES_PER_SECOND,
    FORWARDED_BYTES_PER_SECOND,
    CPU_LOAD,
    RAM_USAGE,
    USER_EXPERIENCED_DOWNLINK_DATA_RATE,
    USER_EXPERIENCED_UPLINK_DATA_RATE
}
